Index: minim.f
===================================================================
--- minim.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ minim.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,49 +1,34 @@
-! **************************************************************
-!
-! This file contains the subroutines: minim,move
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: minim,move
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
 
       subroutine minim(imin, maxit, eps)
 
-! ......................................................................
-! PURPOSE: Use minimizers
-!
-!          imin = 1:  use Quasi-Newton
-!          imin = 2:  use Conjugated Gradients
-!
-!          @param maxit maximum number of iterations 
-!          @param eps acceptance criterium
-!Institute
-! CALLS: difang,energy,gradient, mincjg,minqsn, nursvr
-! ......................................................................
+c ......................................................................
+c PURPOSE: Use minimizers
+c
+c          imin = 1:  use Quasi-Newton
+c          imin = 2:  use Conjugated Gradients
+c
+c          @param maxit maximum number of iterations 
+c          @param eps acceptance criterium
+cInstitute
+c CALLS: difang,energy,gradient, mincjg,minqsn, nursvr
+c ......................................................................
 
       include 'INCL.H'
-!f2py intent(in) imin
-!f2py intent(in) maxit
-!f2py intent(in) eps
-      integer msvmx
-
-      integer imin
-
-      integer maxit
-      
-      integer nursvr
-      double precision energy, difang
-            
-      integer ngbvr, msv, i, j, mxop, n6, n3, n, n1, n2, n5, n4
-      integer ntlvr, nop, nv
-      
-      double precision eps, acc, esm, gdey2, gbpro, gdvr, gdrg2, scl
-      double precision vlvrn, w, vlvro, vr      
-      
+cf2py intent(in) imin
+cf2py intent(in) maxit
+cf2py intent(in) eps
       parameter (msvmx=mxvr*(mxvr+5)/(2*(2*mxvr+1)),   
-     &            msv  = 50 )                             
+     #            msv  = 50 )                             
 
       dimension w(mxvr*(mxvr+13)/2)
@@ -51,5 +36,5 @@
       dimension vlvrn(mxvr),vlvro(mxvr),gdvr(mxvr),scl(mxvr)
 
-! --------------------------- new
+c --------------------------- new
       dimension gbpro(6,mxml)
 
@@ -58,33 +43,33 @@
 
       if (msv.gt.msvmx) then
-        write (logString, '(a,i5)') ' minreg> parameter MSV > ',msvmx
+        write (*,'(a,i5)') ' minreg> parameter MSV > ',msvmx
         stop
       endif
 
-! ----------------------- energy & gradient
+c ----------------------- energy & gradient
 
       call gradient()
 
-      write (logString, '(/,a,/)') ' Energy BEFORE minimization:' 
+      write(*,'(/,a,/)') ' Energy BEFORE minimization:' 
 
       if (ireg.eq.0) then
 
-        write (logString, '(a,e12.5,/,3(a,e11.4),/,2(a,e11.4),/)') 
-     &    ' Total: ', eysm,
-     &    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     &    '   Variables: ',eyvr,'  Solvatation: ',eysl
+        write (*,'(a,e12.5,/,3(a,e11.4),/,2(a,e11.4),/)') ' Total: ',
+     #    eysm,
+     #    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     #    '   Variables: ',eyvr,'  Solvatation: ',eysl
 
        else
 
 
-        write (logString, '(a,e12.5,/,3(a,e11.4),/,3(a,e11.4),/)') 
-     &    ' Total: ', wtey*eysm + wtrg*eyrg,
-     &    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     &    '   Variables: ',eyvr,'  Solvatation: ',eysl,
-     &    ' Regularization: ',eyrg
+        write (*,'(a,e12.5,/,3(a,e11.4),/,3(a,e11.4),/)') ' Total: ',
+     #    wtey*eysm + wtrg*eyrg,
+     #    '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     #    '   Variables: ',eyvr,'  Solvatation: ',eysl,
+     #    ' Regularization: ',eyrg
 
        endif
 
-! --------------------------------------- variables
+c --------------------------------------- variables
 
       ntlvr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -144,11 +129,11 @@
         enddo
 
-!        if (abs(wtrg-1.d0).gt.1.d-4.and.abs(wtey-1.d0).gt.1.d-4) then
-!          gdey2 = max(acc,gdey2)
-!          gdrg2 = max(acc,gdrg2)
-!          wtrg = wtrg * sqrt(gdey2/gdrg2)
-!          write (logString, *)  ' -->    Wt_energy = ',wtey,'  Wt_regul. = ',wtrg
-!          write (logString, *)  '  '
-!        endif
+c        if (abs(wtrg-1.d0).gt.1.d-4.and.abs(wtey-1.d0).gt.1.d-4) then
+c          gdey2 = max(acc,gdey2)
+c          gdrg2 = max(acc,gdrg2)
+c          wtrg = wtrg * sqrt(gdey2/gdrg2)
+c          write(*,*)  ' -->    Wt_energy = ',wtey,'  Wt_regul. = ',wtrg
+c          write(*,*)  '  '
+c        endif
 
         esm=wtey*eysm+wtrg*eyrg
@@ -167,5 +152,5 @@
 
         call minqsn(n,mxvr,vlvrn,esm,gdvr,scl,acc,w,w(n1),w(n2),
-     &              w(n3),w(n4),w(n5),w(n6),mxop,nop)
+     #              w(n3),w(n4),w(n5),w(n6),mxop,nop)
 
       elseif (imin.eq.2) then ! Conjugated Gradients
@@ -178,5 +163,5 @@
 
         call mincjg(n,mxvr,vlvrn,esm,gdvr,acc,w,w(n1),w(n2),  ! no 'scl'
-     &              w(n3),w(n4),w(n5),mxop,nop)
+     #              w(n3),w(n4),w(n5),mxop,nop)
 
       endif
@@ -184,12 +169,12 @@
 
       if (nop.lt.mxop) then
-        write (logString, '(a)') ' ---- CONVERGENCE ----'
+        write (*,'(a)') ' ---- CONVERGENCE ----'
       else
-        write (logString, '(a)')  '---- STEP LIMIT ----'
-      endif
-
-
-      write (logString, '(/,2a,/)') ' Final energies ',
-     & '__________________________________________________'
+        write (*,'(a)')  '---- STEP LIMIT ----'
+      endif
+
+
+      write (*,'(/,2a,/)') ' Final energies ',
+     # '__________________________________________________'
 
       eysm = energy()
@@ -197,19 +182,19 @@
       if (ireg.eq.0) then
 
-        write (logString, '(a,e12.5,/,3(a,e11.4),/,2(a,e11.4))') 
-     &  ' Total: ',eysm,'   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,
-     &  ' HB: ',eyhb, '   Variables: ',eyvr,'  Solvatation: ',eysl
+        write (*,'(a,e12.5,/,3(a,e11.4),/,2(a,e11.4))') ' Total: ',eysm,
+     #  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     #  '   Variables: ',eyvr,'  Solvatation: ',eysl
 
       else
 
-        write (logString, '(a,e12.5,/,3(a,e11.4),/,3(a,e11.4))') 
-     &  ' Total: ', wtey*eysm + wtrg*eyrg,
-     &  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
-     &  '   Variables: ',eyvr,'  Solvatation: ',eysl,
-     &  ' Regularization: ',eyrg
-
-      endif
-
-      write (logString, '(/,a,/)') ' Variables _________________'
+        write (*,'(a,e12.5,/,3(a,e11.4),/,3(a,e11.4))') ' Total: ',
+     #      wtey*eysm + wtrg*eyrg,
+     #  '   Coulomb: ',eyel,' Lennard-Jones: ',eyvw,' HB: ',eyhb,
+     #  '   Variables: ',eyvr,'  Solvatation: ',eysl,
+     #  ' Regularization: ',eyrg
+
+      endif
+
+      write (*,'(/,a,/)') ' Variables _________________'
 
       nv = 0
@@ -221,6 +206,6 @@
           if (abs(vr).gt.pi) vr=vr-sign(pi2,vr)
 
-          write (logString, '(1x,a,1x,i4,f8.1,a,f5.1,a)') nmvr(i),
-     &        nursvr(i), vr*crd,'    (',abs(difang(vr,vlvro(i)))*crd,')'
+          write (*,'(1x,a,1x,i4,f8.1,a,f5.1,a)') nmvr(i),nursvr(i),
+     #        vr*crd,'    (',abs(difang(vr,vlvro(i)))*crd,')'
 
           vlvr(i) = vr
@@ -231,13 +216,13 @@
       if (ireg.ne.0) then
 
-        write (logString,'(/,a,/)') ' Global Variables ___________'
+        write (*,'(/,a,/)') ' Global Variables ___________'
 
         do i=1,ntlml
-          write (logString, *) ' Molecule #',i,' old          new'
+          write(*,*) ' Molecule #',i,' old          new'
           do j=1,3
-            write (logString, *) gbpro(j,i),' ',gbpr(j,i)
+            write(*,*) gbpro(j,i),' ',gbpr(j,i)
           enddo
           do j=4,6
-            write (logString, *) gbpro(j,i)*crd,' ',gbpr(j,i)*crd
+            write(*,*) gbpro(j,i)*crd,' ',gbpr(j,i)*crd
           enddo
         enddo
@@ -245,14 +230,13 @@
       endif
 
-      write (logString,'(/,2a)') ' Gradient ',
-     & '______________________________________________________________'
-
-      write (logString,'(8(1x,f8.3))') (gdvr(i),i=1,nv)
+      write (*,'(/,2a)') ' Gradient ',
+     # '______________________________________________________________'
+
+      write (*,'(8(1x,f8.3))') (gdvr(i),i=1,nv)
 
       if (ireg.ne.0) then
 
-        write (logString, *) 
-     &             ' -------------- global variables ------------'
-        write (logString, '(6(1x,f8.3))') (gdvr(i+nv),i=1,ngbvr)
+        write (*,*) ' -------------- global variables ------------'
+        write (*,'(6(1x,f8.3))') (gdvr(i+nv),i=1,ngbvr)
 
       endif
@@ -260,28 +244,15 @@
       return
       end
-! ********************************************
+c ********************************************
       subroutine move(nop,nvr1,esm,vlvrn,gdvr)
-!
-! CALLS: gradient
-!
+c
+c CALLS: gradient
+c
       include 'INCL.H'
-      integer ngbvr
-
-      integer nop
-
-      integer nvr1
-
-      double precision esm
-
-      double precision vlvrn
-
-      double precision gdvr, gdsmey, gdsmrg
-
-      integer i, ii, j, ntlvr, n
-      
+
       dimension vlvrn(mxvr),gdvr(mxvr)
 
 
-! ------------------------ compile & new variables
+c ------------------------ compile & new variables
 
       ntlvr=ivrml1(ntlml)+nvrml(ntlml)-1
@@ -307,5 +278,5 @@
       endif
 
-! -------------------------- new minimz. gradient
+c -------------------------- new minimz. gradient
 
       call gradient()
@@ -337,6 +308,6 @@
         esm=eysm
 
-        write (logString, '(a,i5,a,2(e13.6,a))') ' Step ',nop,
-     &                    ': energy ', esm, '  (',gdsmey,' )'
+        write (*,'(a,i5,a,2(e13.6,a))') ' Step ',nop,': energy ',esm
+     #                                 ,'  (',gdsmey,' )'
 
       else
@@ -356,6 +327,6 @@
         esm=wtey*eysm+wtrg*eyrg
 
-        write (logString, '(a,i5,a,3(e13.6,a))') ' Step ',nop,
-     &             ': energy ',esm,'  (',gdsmey,',',gdsmrg,' )'
+        write (*,'(a,i5,a,3(e13.6,a))') ' Step ',nop,': energy ',esm
+     #                                 ,'  (',gdsmey,',',gdsmrg,' )'
 
       endif
Index: minqsn.f
===================================================================
--- minqsn.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ minqsn.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,86 +1,77 @@
-! **************************************************************
-!
-! This file contains the subroutines: minqsn,mc11a,mc11e
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! **************************************************************
+c **************************************************************
+c
+c This file contains the subroutines: minqsn,mc11a,mc11e
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c **************************************************************
 
       subroutine minqsn(n,mxn,x,f,g,scal,acur,h,d,w,xa,ga,xb,gb,maxfun,
-     &                  nfun)
-
-! .............................................................
-!  PURPOSE: Quasi-Newton minimizer
-!
-!           Unconstrained local minimization of function FUNC
-!           vs. N variables by quasi-Newton method using BFGS-
-!           formula to update hessian matrix; approximate line
-!           searches performed using cubic extra-/interpolation
-!           [see Gill P.E., Murray W., Wright M.H., Practical
-!            Optimization, Ch. 2.2.5.7, 4.3.2.1 ff.,4.4.2.2.,
-!            4.5.2.1]
-!
-!  INPUT:   X,F,G - variables, value of FUNC, gradient at START
-!           SCAL  - factors to reduce(increase) initial step &
-!                   its lower bound for line searches, diagonal
-!                   elements of initial hessian matrix
-!           MXN - maximal overall number of function calls
-!
-!  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
-!           NFUN  - overall number of function calls used
-!  
-!  ARRAYS:  H - approximate hessian matrix in symmetric storage
-!               (dimension N(N+1)/2)
-!           W,D,XA,XB,GA,GB - dimension N
-!
-!  CALLS:   MOVE - external to calculate function for current X
-!                  and its gradients
-!           MC11E- solve system H*D=-G for search direction D, where
-!                  H is given in Cholesky-factorization
-!           MC11A- update H using BFGS formula, factorizise new H
-!                  according to Cholesky (modified to maintain its
-!                  positive definiteness)
-!
-!  PARAMETERS:
-!  
-!  EPS1 - checks reduction of FUNC during line search
-!         ( 0.0001 <= EPS1 < 0.5 )
-!  EPS2 - controls accuracy of line search (reduce to increase
-!         accuracy; EPS1 < EPS2 <= 0.9 )
-!  ACUR - fractional precision for determination of variables
-!         (should not be smaller than sqrt of machine accuracy)
-!  TINY - prevent division by zero during cubic extrapolation
-! .............................................................
-
-      implicit none
-
-      double precision eps1, eps2, tiny, zero, dff, c, g, scal, h, fa, f
-      double precision xa, x, ga, d, w, dga, di, fmin, gmin, stmin
-      double precision stepub, steplb, acur, step, xb, fb, gb, gl1, gl2
-      double precision si, dgb, sig
-
-      integer izero, ione, mxn, nfun, itr, i, n, n1, i1, j, isfv, maxfun
-      integer ir
-
-      character(255) logString
-      
+     #                  nfun)
+
+c .............................................................
+c  PURPOSE: Quasi-Newton minimizer
+c
+c           Unconstrained local minimization of function FUNC
+c           vs. N variables by quasi-Newton method using BFGS-
+c           formula to update hessian matrix; approximate line
+c           searches performed using cubic extra-/interpolation
+c           [see Gill P.E., Murray W., Wright M.H., Practical
+c            Optimization, Ch. 2.2.5.7, 4.3.2.1 ff.,4.4.2.2.,
+c            4.5.2.1]
+c
+c  INPUT:   X,F,G - variables, value of FUNC, gradient at START
+c           SCAL  - factors to reduce(increase) initial step &
+c                   its lower bound for line searches, diagonal
+c                   elements of initial hessian matrix
+c           MXN - maximal overall number of function calls
+c
+c  OUTPUT:  X,F,G - variables, value of FUNC, gradient at MINIMUM
+c           NFUN  - overall number of function calls used
+c  
+c  ARRAYS:  H - approximate hessian matrix in symmetric storage
+c               (dimension N(N+1)/2)
+c           W,D,XA,XB,GA,GB - dimension N
+c
+c  CALLS:   MOVE - external to calculate function for current X
+c                  and its gradients
+c           MC11E- solve system H*D=-G for search direction D, where
+c                  H is given in Cholesky-factorization
+c           MC11A- update H using BFGS formula, factorizise new H
+c                  according to Cholesky (modified to maintain its
+c                  positive definiteness)
+c
+c  PARAMETERS:
+c  
+c  EPS1 - checks reduction of FUNC during line search
+c         ( 0.0001 <= EPS1 < 0.5 )
+c  EPS2 - controls accuracy of line search (reduce to increase
+c         accuracy; EPS1 < EPS2 <= 0.9 )
+c  ACUR - fractional precision for determination of variables
+c         (should not be smaller than sqrt of machine accuracy)
+c  TINY - prevent division by zero during cubic extrapolation
+c .............................................................
+
+      implicit real*8 (a-h,o-z)
+      implicit integer*4 (i-n)
+
       parameter ( eps1=0.1d0,
-     &            eps2=0.7d0,
-     &            tiny=1.d-32,
-
-     &            zero=0.d0,
-     &            izero=0,
-     &            ione=1 )
+     #            eps2=0.7d0,
+     #            tiny=1.d-32,
+
+     #            zero=0.d0,
+     #            izero=0,
+     #            ione=1 )
 
       dimension x(mxn),g(mxn),scal(mxn),h(mxn*(mxn+1)/2),d(mxn),w(mxn),
-     &          xa(mxn),ga(mxn),xb(mxn),gb(mxn)
+     #          xa(mxn),ga(mxn),xb(mxn),gb(mxn)
 
       nfun=0
       itr=0
       dff=0.
-! _______________ hessian to a diagonal matrix depending on scale
+c _______________ hessian to a diagonal matrix depending on scale
       c=0.
       do i=1,n
@@ -111,5 +102,5 @@
     2 itr=itr+1    ! Start New Line-search from A
 
-! ______________ search direction of the iteration
+c ______________ search direction of the iteration
       do i=1,n
         d(i)=-ga(i)
@@ -135,5 +126,5 @@
       steplb=acur*c       ! lower bound on step
 
-! ________________________ initial step of the line search
+c ________________________ initial step of the line search
       if (dff.gt.0.) then
         step=min(1.d0,(dff+dff)/(-dga))
@@ -143,5 +134,5 @@
 
     3 if (nfun.ge.maxfun) then
-!c        write (logString, *) ' minfor> exceeded max. number of function calls'
+cc        write (*,*) ' minfor> exceeded max. number of function calls'
         return
       endif
@@ -168,5 +159,5 @@
           if (gl2.ge.gl1) goto 4
         endif
-! ______________ store function value if it is smallest so far
+c ______________ store function value if it is smallest so far
         f=fb
         do i=1,n
@@ -191,5 +182,5 @@
         stepub=stepub-step      ! new upper bound on step
 
-! _______________________________ next step by extrapolation
+c _______________________________ next step by extrapolation
         if (stepub.gt.0.) then
           step=.5*stepub
@@ -225,6 +216,5 @@
             goto 2
           else               ! rank of new matrix is deficient
-            write (logString, *) 
-     &       ' minfor> rank of hessian < number of variables'
+            write (*,*) ' minfor> rank of hessian < number of variables'
             return
           endif
@@ -254,14 +244,11 @@
       return
       end
-! ***********************************************
+c ***********************************************
       subroutine mc11a(a,n,mxn,z,sig,w,ir,mk,eps)
-!
-! CALLS: none
-!
-      implicit none
-
-      double precision sig, ti, w, z, a, v, eps, tim, al, r, b, gm, y
-
-      integer mxn, n, ir, np, ij, mk, i, j, mm
+c
+c CALLS: none
+c
+      implicit real*8 (a-h,o-z)
+      implicit integer*4 (i-n)
 
       dimension a(mxn*(mxn+1)/2),z(mxn),w(mxn)
@@ -381,13 +368,11 @@
       return
       end
-! ************************************
+c ************************************
       subroutine mc11e(a,n,mxn,z,w,ir)
-!
-! CALLS: none
-!
-      implicit none
-      double precision w, z, v, a
-
-      integer mxn, ir, n, i, ij, i1, j, np, nip, ii, ip
+c
+c CALLS: none
+c
+      implicit real*8 (a-h,o-z)
+      implicit integer*4 (i-n)
 
       dimension a(mxn*(mxn+1)/2),z(mxn),w(mxn)
